Subject: Failed to build emacs on debian stable

From: [email-masked]
Date: Fri, 8 Mar 2024 13:07:10 +0100

Hi there,

I failed to build a recent emacs on freshly installed debian stable.

./configure --without-compress-install --with-native-compilation --with-json --with-mailutils --with-tree-sitter --with-imagemagick

runs without problems. make fails with:

make[4]: Entering directory '~/Downloads/builds/emacs/lisp'
'../src/bootstrap-emacs' -batch --no-site-file --no-site-lisp --eval "(setq load-prefer-newer t byte-compile-warnings 'all)" --eval "(setq org--inhibit-version-check t)"  \
    -l comp -f byte-compile-refresh-preloaded \
    -f batch-byte+native-compile ../lisp/button.el
Error: error ("../lisp/button.el" "Type or missing from typeof-types!")
  signal(error ("../lisp/button.el" "Type or missing from typeof-types!"))
  comp--native-compile("../lisp/button.el")
  batch-native-compile()
  batch-byte+native-compile()
  funcall(batch-byte+native-compile)
  
git rev-parse HEAD gives bd017175d4571e24ef1fdf84676136af1d36002d

I searched for the error message but didn't find anything. None of the recommendations given work. Am I doing something stupid or might this be related to outdated debian packages?